## org.opengis.filter.identity
Interface ObjectId

All Superinterfaces:
  Identifier<Long,Feature>

    @XmlElement(value="RecordId")
    public interface ObjectId

extends Identifier<Long,Feature>

ObjectId refered to by Filter 1.1 specification (as an example).

Although ObjectId is refered to as an example we are making explicit use of it here in order to show identification being defined with a long (as with several popular object relational mappers).

Since:
  GeoAPI 2.1
Version:
  Implementation specification 1.1

Method Summary
`Long` `getID()` The identifier value, which is a Long.
`boolean` `matches(Object obj)` Evaluates the identifer value against the given Object.

Methods inherited from interface Identifier
`matches, toString`

Method Detail

### getID

    @XmlElement(value="id")
    Long getID()

  The identifier value, which is a Long.

  Specified by:
    `getID` in interface `Identifier<Long,Feature>`

### matches

    boolean matches(Object obj)

  Evaluates the identifer value against the given Object.

  Parameters:
    `obj` - Object to be tested.
  Returns:
    `true` if a match, otherwise `false`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.